cascading.stats.hadoop

## Class HadoopNodeCounterCache

- java.lang.Object
- - cascading.stats.CounterCache<Configuration,JobStatus,Counters>
  - - cascading.stats.hadoop.HadoopCounterCache<FlowNodeStats,Map<String,Map<String,Long>>>
    - - cascading.stats.hadoop.HadoopNodeCounterCache

-     public class HadoopNodeCounterCache
      extends HadoopCounterCache<FlowNodeStats,Map<String,Map<String,Long>>>

- - ### Field Summary

    - ### Fields inherited from class cascading.stats.CounterCache

      `configuration, COUNTER_FETCH_RETRIES_PROPERTY, COUNTER_MAX_AGE_PROPERTY, COUNTER_TIMEOUT_PROPERTY, DEFAULT_CACHED_AGE_MAX, DEFAULT_FETCH_RETRIES, DEFAULT_NODE_CACHED_AGE_MAX, DEFAULT_TIMEOUT_TIMEOUT_SEC, fetchAttempts, maxAge, maxFetchAttempts, NODE_COUNTER_MAX_AGE_PROPERTY, timeout`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HadoopNodeCounterCache(FlowNodeStats flowNodeStats, Configuration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `areCountersAvailable(FlowNodeStats runningJob)`
    `protected Map<String,Map<String,Long>>` | `getCounters(FlowNodeStats flowNodeStats)`
    `protected Set<String>` | `getCountersFor(Map<String,Map<String,Long>> counters, String group)`
    `protected long` | `getCounterValue(Map<String,Map<String,Long>> counters, Enum counter)`
    `protected long` | `getCounterValue(Map<String,Map<String,Long>> counters, String groupName, String counterName)`
    `protected Collection<String>` | `getGroupNames(Map<String,Map<String,Long>> groups)`
    `protected FlowNodeStats` | `getJobStatusClient()`

    - ### Methods inherited from class cascading.stats.hadoop.HadoopCounterCache

      `getIntProperty`

    - ### Methods inherited from class cascading.stats.CounterCache

      `cachedCounters, cachedCounters, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getLastSuccessfulFetch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopNodeCounterCache

          protected HadoopNodeCounterCache(FlowNodeStats flowNodeStats,
                                Configuration configuration)

  - ### Method Detail

    - #### getJobStatusClient

          protected FlowNodeStats getJobStatusClient()

      Specified by:
        `getJobStatusClient` in class `CounterCache<Configuration,FlowNodeStats,Map<String,Map<String,Long>>>`

    - #### areCountersAvailable

          protected boolean areCountersAvailable(FlowNodeStats runningJob)

      Specified by:
        `areCountersAvailable` in class `CounterCache<Configuration,FlowNodeStats,Map<String,Map<String,Long>>>`

    - #### getCounters

          protected Map<String,Map<String,Long>> getCounters(FlowNodeStats flowNodeStats)
                                                      throws IOException

      Specified by:
        `getCounters` in class `CounterCache<Configuration,FlowNodeStats,Map<String,Map<String,Long>>>`
      Throws:
        `IOException`

    - #### getGroupNames

          protected Collection<String> getGroupNames(Map<String,Map<String,Long>> groups)

      Specified by:
        `getGroupNames` in class `CounterCache<Configuration,FlowNodeStats,Map<String,Map<String,Long>>>`

    - #### getCountersFor

          protected Set<String> getCountersFor(Map<String,Map<String,Long>> counters,
                                   String group)

      Specified by:
        `getCountersFor` in class `CounterCache<Configuration,FlowNodeStats,Map<String,Map<String,Long>>>`

    - #### getCounterValue

          protected long getCounterValue(Map<String,Map<String,Long>> counters,
                             Enum counter)

      Specified by:
        `getCounterValue` in class `CounterCache<Configuration,FlowNodeStats,Map<String,Map<String,Long>>>`

    - #### getCounterValue

          protected long getCounterValue(Map<String,Map<String,Long>> counters,
                             String groupName,
                             String counterName)

      Specified by:
        `getCounterValue` in class `CounterCache<Configuration,FlowNodeStats,Map<String,Map<String,Long>>>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.